%define name 		xinetd
%define version 	2.1.8.9pre12
%define release 2mdk
%define url			http://www.xinetd.org

Summary: 	Xinetd is a powerful replacement for inetd.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		System/Base
Copyright: 	BSD
URL: 		%{url}
Source: 	%{url}/%{name}-%{version}.tar.bz2
Patch0:			xinetd-2.1.8.9pre10-skipjunkfiles.patch.bz2
Source1:		xinetd.init.bz2
Source2:		xinetd.default.config
Source3:		convert.py
Source4:		xinetd-ttime
Source5:		xinetd-utime
Source6:		xinetd-tdtime
Source7:		xinetd-udtime
Source8:		xinetd-echo
Source9:		xinetd-uecho
Source10:		xinetd-chargen
Source11:		xinetd-uchargen
Source50:		faq.html.bz2
Requires:		/sbin/chkconfig /etc/init.d /sbin/service
BuildRequires:	tcp_wrappers
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: xinetd-devel

%description
xinetd is a powerful replacement for inetd.
xinetd has access control machanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world.  Or to have
a different service running on the same port, but different interfaces.

%prep
%setup -q
%patch -p1

%build
%configure  --with-libwrap
%__make

cp -p libs/src/sio/README README-libsio
cp -p libs/src/str/README README-libstr
cp -p libs/src/misc/README README-libmisc

bzcat %SOURCE50 > FAQ.html

%install
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;
install -d %buildroot/etc/rc.d/init.d/
%makeinstall DAEMONDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/%{_mandir} FMODE="-m 644"

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d/
bzcat %SOURCE1 > %buildroot/etc/rc.d/init.d/xinetd
chmod 755 %buildroot/etc/rc.d/init.d/xinetd

install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.conf
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/usr/sbin/inetdconvert
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/etc/xinetd.d/time
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/etc/xinetd.d/time-udp
install -m 644 %SOURCE6 $RPM_BUILD_ROOT/etc/xinetd.d/daytime
install -m 644 %SOURCE7 $RPM_BUILD_ROOT/etc/xinetd.d/daytime-udp
install -m 644 %SOURCE8 $RPM_BUILD_ROOT/etc/xinetd.d/echo
install -m 644 %SOURCE9 $RPM_BUILD_ROOT/etc/xinetd.d/echo-udp
install -m 644 %SOURCE10 $RPM_BUILD_ROOT/etc/xinetd.d/chargen
install -m 644 %SOURCE11 $RPM_BUILD_ROOT/etc/xinetd.d/chargen-udp

make LIBDIR=$RPM_BUILD_ROOT%{_libdir}/xinetd \
        INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}/xinetd \
        MANDIR=$RPM_BUILD_ROOT%{_mandir}/man3 FMODE="-m 644"  makelibs 

# no need to ship this one since we provide inetdconvert
rm -f $RPM_BUILD_ROOT/usr/sbin/itox
rm -f $RPM_BUILD_ROOT/usr/sbin/xconv.pl
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/itox*

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ];then
		/sbin/chkconfig --add xinetd
fi

%preun
if [ "$1" = "0" ];then
		/sbin/chkconfig --del xinetd
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service xinetd condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc INSTALL README FAQ.html xinetd/CHANGELOG xinetd/COPYRIGHT xinetd/sample.conf
%config(noreplace) %attr(755,root,root) /etc/rc.d/init.d/xinetd
%config(noreplace) /etc/xinetd.conf
%config(noreplace) /etc/xinetd.d/*
%{_sbindir}/*
%{_mandir}/*/*

%changelog
* Fri Oct 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre12-2mdk
- Obsoletes xinetd-devel.
- Add default inetd services like redhat does.

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre12-1mdk
- 2.1.8.9pre12.

* Fri Oct 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre11-1mdk
- 2.1.8.9pre11.

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-6mdk
- InitS at 56 to start after bind.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-5mdk
- Preferred to do the Alexander way to check if NETWORKING is up.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-4mdk
- Install includes as 644.

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-3mdk
- Add probe dummy target in init script for linuxconf.

* Mon Sep 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-2mdk
- Fix initscripts for network.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre10-1mdk
- 2.18.9pre10.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre9-3mdk
- Add some noreplace
- Do a condrestart only when DURING_INSTALL is NULL.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre9-2mdk
- Fix initscripts.
- Add pidfile writing to file patch (rh).
- Add patch to skip junk file (.rpmsave/.rpmnew/~) (rh).

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre9-1mdk
- 2.1.8.9pre9.

* Sun Jul 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre8-7mdk
- Correct postscripts.
- Add condrestart to the init.d/ script to restart xinetd only when
  his launched.
- Upgrade faq.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre8-6mdk
- Make rpmlint happy with /etc/rc.d/init.d/ files.
- BM.

* Fri Jul 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8.9pre8-5mdk
- Move to main/.
- Clean up of %post %pre %preun.
- Add malloc patches.

* Thu Jul 13 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-4mdk
- fixed permission problem

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-3mdk
- removed %group
- removed _sysconfdir 

* Mon Jul 10 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-2mdk
- macroszifications
- specfile cleanup

* Mon Jul 10 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.9pre8-1mdk
- new beta version

* Mon Jun 26 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.1.8.8p3-2mdk
- fix chkconfig problem

* Wed Jun 21 2000 Christian Zoffoli <czoffoli@littlepenguin.org> 2.1.8.8p3-1mdk
- built first spec.
- Mandrakized version
- Enabled IPv6 Support
- Added FAQ

